#!/bin/bash

# *****************************************************
# PROGRAM:	pnotify demo
# AUTHOR:		vovchik (Puppy Linux Forum)
# NOTES:		have fun :)
# *****************************************************

# Note: when passing a span string containing double quotes,
# be sure to escape the quotes with a backslash (\). Also, use
# the pipe character (|) for generating a newline.
# If you don't have a font specified in a span command
# installed on your system, GTK will use your default font
# (e.g. "1960s Hippie", a rare ttf font in the first $mytext below,
# will display as DejaVu Sans if not installed). 

# grab start time
before=`date +%s`

# This is the first string to display via pnotify

mytext="Hi there!|
<span weight=\"ultrabold\" color=\"red\" font-family=\"1960s Hippie\" size=\"xx-large\">
This is <u>BIG RED</u> text
</span>
|and <i>this</i> is <u>another</u> line...|
<span weight=\"ultrabold\" color=\"blue\">
passed to <big>pnotify</big> via bash.
</span>"

# OK, let's display the first string

./pnotify "$mytext" &
echo "pnotify launched..."


# Wait a bit
sleep 5

# OK, now the second string

mytext="This is a second message!|
<span weight=\"ultrabold\" color=\"#2A8F15\" font-family=\"DejaVu Serif\" size=\"xx-large\">
The notifications will <u>be|overlaid</u>
</span>
 and placed <i>on top of</i> one <u>another</u>...|
<span color=\"#A3120D\" size=\"large\">
Blood Red is GROOVY, isn't it<big>!?</big>
</span>"

./pnotify "$mytext" &
echo "pnotify launched..."

# Wait a bit
sleep 5

# OK, now the third string

mytext="<small><small>
<span font-family=\"DejaVu Sans Mono\">
BaCon is a free BASIC to C converter for Unix-based systems.|
The following design goals were followed:|
    * Must run on each Unix/Linux/BSD platform, including MacOSX|
    * Converted sourcecode must be compilable with GCC|
    * Must resemble genuine BASIC with implicit variable delarations|
    * Spoken language constructs are preferred|
To use Bacon your system must have the Korn Shell or Bourne Shell.
</span></small></small>"

./pnotify "$mytext" &
echo "pnotify launched..."

# Wait a bit
sleep 5

# OK, now the fourth string

mytext="
<span font-family=\"DejaVu Sans\" weight=\"ultrabold\" color=\"red\" size=\"xx-large\">
  CONGRATULATIONS!|
</span>
<span style=\"oblique\" color=\"blue\">
You have just successfully downloaded the|
entire content of all websites indexed|
by Google to your USB stick :)
</span>"

./pnotify "$mytext" &
echo "pnotify launched..."

# Wait a bit
sleep 5

# grab end time
after=`date +%s`
elapsed_seconds=`expr $after - $before + 5`

# Finally, the fifth and last string

mytext="<span weight=\"ultrabold\" color=\"blue\" font-family=\"DejaVu Sans\" size=\"xx-large\">
  BYE-BYE</span>|
<b><big>  from pnotify...</big></b>|
Demo time: $elapsed_seconds seconds"


./pnotify "$mytext" &
echo "pnotify launched..."

exit 0
